From cec847fd67742746ba2209979d57ef7f7bb5067e Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Thu, 24 Mar 2016 13:11:05 +0000
Subject: [PATCH] Update version numbers of modules. I forgot to do this
 before.... :P

---
 build/index.php                    | 14 ++++++-------
 module_index.json                  | 32 +++++++++++++++---------------
 modules/feature-recent-changes.php |  2 +-
 modules/feature-search.php         |  2 +-
 modules/page-credits.php           |  2 +-
 modules/page-help.php              |  2 +-
 modules/page-list.php              |  2 +-
 modules/page-view.php              |  2 +-
 modules/parser-default-old.php     |  2 +-
 modules/parser-parsedown.php       |  2 +-
 10 files changed, 31 insertions(+), 31 deletions(-)

diff --git a/build/index.php b/build/index.php
index 1e7f4c6..d48c2eb 100644
--- a/build/index.php
+++ b/build/index.php
@@ -1542,7 +1542,7 @@ function render_sidebar($pageindex, $root_pagename = "")
 
 register_module([
 	"name" => "Recent Changes",
-	"version" => "0.1",
+	"version" => "0.2.0",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds recent changes. Access through the 'recent-changes' action.",
 	"id" => "feature-recent-changes",
@@ -1679,7 +1679,7 @@ register_module([
 
 register_module([
 	"name" => "Search",
-	"version" => "0.2",
+	"version" => "0.2.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
 	"id" => "feature-search",
@@ -2563,7 +2563,7 @@ function resize_image($image, $size)
 
 register_module([
 	"name" => "Credits",
-	"version" => "0.6",
+	"version" => "0.7.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds the credits page. You *must* have this module :D",
 	"id" => "page-credits",
@@ -3099,7 +3099,7 @@ register_module([
 
 register_module([
 	"name" => "Help page",
-	"version" => "0.8.1",
+	"version" => "0.9.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds a rather useful help page. Access through the 'help' action. This module also exposes help content added to Pepperminty Wiki's inbuilt invisible help section system.",
 	"id" => "page-help",
@@ -3172,7 +3172,7 @@ register_module([
 
 register_module([
 	"name" => "Page list",
-	"version" => "0.9",
+	"version" => "0.10.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds a page that lists all the pages in the index along with their metadata.",
 	"id" => "page-list",
@@ -3620,7 +3620,7 @@ register_module([
 
 register_module([
 	"name" => "Page viewer",
-	"version" => "0.11",
+	"version" => "0.12.0",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Allows you to view pages. You reallyshould include this one.",
 	"id" => "page-view",
@@ -3738,7 +3738,7 @@ register_module([
 
 register_module([
 	"name" => "Parsedown",
-	"version" => "0.3.1",
+	"version" => "0.5.3",
 	"author" => "Emanuil Rusev & Starbeamrainbowlabs",
 	"description" => "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https://github.com/erusev/parsedown-extra), which is licensed MIT. Please be careful, as this module adds a some weight to your installation, and also *requires* write access to the disk on first load.",
 	"id" => "parser-parsedown",
diff --git a/module_index.json b/module_index.json
index df89a74..0db4e2d 100644
--- a/module_index.json
+++ b/module_index.json
@@ -37,11 +37,11 @@
     },
     {
         "name": "Recent Changes",
-        "version": "0.1",
+        "version": "0.2.0",
         "author": "Starbeamrainbowlabs",
         "description": "Adds recent changes. Access through the 'recent-changes' action.",
         "id": "feature-recent-changes",
-        "lastupdate": 1458577217,
+        "lastupdate": 1458824847,
         "optional": false
     },
     {
@@ -55,11 +55,11 @@
     },
     {
         "name": "Search",
-        "version": "0.2",
+        "version": "0.2.1",
         "author": "Starbeamrainbowlabs",
         "description": "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
         "id": "feature-search",
-        "lastupdate": 1457809261,
+        "lastupdate": 1458824925,
         "optional": false
     },
     {
@@ -73,11 +73,11 @@
     },
     {
         "name": "Credits",
-        "version": "0.6",
+        "version": "0.7.1",
         "author": "Starbeamrainbowlabs",
         "description": "Adds the credits page. You *must* have this module :D",
         "id": "page-credits",
-        "lastupdate": 1458588145,
+        "lastupdate": 1458824994,
         "optional": false
     },
     {
@@ -118,20 +118,20 @@
     },
     {
         "name": "Help page",
-        "version": "0.8.1",
+        "version": "0.9.1",
         "author": "Starbeamrainbowlabs",
         "description": "Adds a rather useful help page. Access through the 'help' action. This module also exposes help content added to Pepperminty Wiki's inbuilt invisible help section system.",
         "id": "page-help",
-        "lastupdate": 1458578126,
+        "lastupdate": 1458824937,
         "optional": false
     },
     {
         "name": "Page list",
-        "version": "0.9",
+        "version": "0.10.1",
         "author": "Starbeamrainbowlabs",
         "description": "Adds a page that lists all the pages in the index along with their metadata.",
         "id": "page-list",
-        "lastupdate": 1458577390,
+        "lastupdate": 1458824815,
         "optional": false
     },
     {
@@ -172,29 +172,29 @@
     },
     {
         "name": "Page viewer",
-        "version": "0.11",
+        "version": "0.12.0",
         "author": "Starbeamrainbowlabs",
         "description": "Allows you to view pages. You reallyshould include this one.",
         "id": "page-view",
-        "lastupdate": 1458574289,
+        "lastupdate": 1458824824,
         "optional": false
     },
     {
         "name": "Old Default Parser",
-        "version": "0.9",
+        "version": "0.10",
         "author": "Johnny Broadway & Starbeamrainbowlabs",
         "description": "The *old* default parser for Pepperminty Wiki. Based on Johnny Broadway's Slimdown (with more than a few modifications). This parser's features are documented in the help page. Superceded by a customised extension of parsedown extra.",
         "id": "parser-default-old",
-        "lastupdate": 1457796247,
+        "lastupdate": 1458824880,
         "optional": true
     },
     {
         "name": "Parsedown",
-        "version": "0.3.1",
+        "version": "0.5.3",
         "author": "Emanuil Rusev & Starbeamrainbowlabs",
         "description": "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https:\/\/github.com\/erusev\/parsedown-extra), which is licensed MIT. Please be careful, as this module adds a some weight to your installation, and also *requires* write access to the disk on first load.",
         "id": "parser-parsedown",
-        "lastupdate": 1458496628,
+        "lastupdate": 1458824859,
         "optional": false
     }
 ]
\ No newline at end of file
diff --git a/modules/feature-recent-changes.php b/modules/feature-recent-changes.php
index 8601f98..bc06087 100644
--- a/modules/feature-recent-changes.php
+++ b/modules/feature-recent-changes.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Recent Changes",
-	"version" => "0.1",
+	"version" => "0.2.0",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds recent changes. Access through the 'recent-changes' action.",
 	"id" => "feature-recent-changes",
diff --git a/modules/feature-search.php b/modules/feature-search.php
index 27b72fb..196d2b8 100644
--- a/modules/feature-search.php
+++ b/modules/feature-search.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Search",
-	"version" => "0.2",
+	"version" => "0.2.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
 	"id" => "feature-search",
diff --git a/modules/page-credits.php b/modules/page-credits.php
index 7d6a9d5..7227249 100644
--- a/modules/page-credits.php
+++ b/modules/page-credits.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Credits",
-	"version" => "0.6",
+	"version" => "0.7.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds the credits page. You *must* have this module :D",
 	"id" => "page-credits",
diff --git a/modules/page-help.php b/modules/page-help.php
index 48c31ed..72c5c42 100644
--- a/modules/page-help.php
+++ b/modules/page-help.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Help page",
-	"version" => "0.8.1",
+	"version" => "0.9.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds a rather useful help page. Access through the 'help' action. This module also exposes help content added to Pepperminty Wiki's inbuilt invisible help section system.",
 	"id" => "page-help",
diff --git a/modules/page-list.php b/modules/page-list.php
index 202edfd..3360dfb 100644
--- a/modules/page-list.php
+++ b/modules/page-list.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Page list",
-	"version" => "0.9",
+	"version" => "0.10.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds a page that lists all the pages in the index along with their metadata.",
 	"id" => "page-list",
diff --git a/modules/page-view.php b/modules/page-view.php
index b69e970..945779c 100644
--- a/modules/page-view.php
+++ b/modules/page-view.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Page viewer",
-	"version" => "0.11",
+	"version" => "0.12.0",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Allows you to view pages. You reallyshould include this one.",
 	"id" => "page-view",
diff --git a/modules/parser-default-old.php b/modules/parser-default-old.php
index 0a94a35..23e06dd 100644
--- a/modules/parser-default-old.php
+++ b/modules/parser-default-old.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Old Default Parser",
-	"version" => "0.9",
+	"version" => "0.10",
 	"author" => "Johnny Broadway & Starbeamrainbowlabs",
 	"description" => "The *old* default parser for Pepperminty Wiki. Based on Johnny Broadway's Slimdown (with more than a few modifications). This parser's features are documented in the help page. Superceded by a customised extension of parsedown extra.",
 	"id" => "parser-default-old",
diff --git a/modules/parser-parsedown.php b/modules/parser-parsedown.php
index b57f44a..5a65c01 100644
--- a/modules/parser-parsedown.php
+++ b/modules/parser-parsedown.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Parsedown",
-	"version" => "0.3.1",
+	"version" => "0.5.3",
 	"author" => "Emanuil Rusev & Starbeamrainbowlabs",
 	"description" => "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https://github.com/erusev/parsedown-extra), which is licensed MIT. Please be careful, as this module adds a some weight to your installation, and also *requires* write access to the disk on first load.",
 	"id" => "parser-parsedown",
